Browse Source

better configure

master
Nils 2 years ago
parent
commit
581d4335fc
  1. 7
      CHANGELOG
  2. 13
      configure

7
CHANGELOG

@ -5,6 +5,13 @@ Two empty lines before the next entry.
External contributors notice at the end of the line: (LastName, FirstName / nick)
# 2022-10-15 0.4.2
Enable lss debug environment in verbose mode
Remove leftover mention of quick mode in manpage and other typos in documentation and logs.
Better configure output
Fix one crash from a type mistake.
## 2022-07-15 0.4.1
Handle xdg-lib exceptions and log them as error, instead of crashing

13
configure

@ -35,23 +35,29 @@ done
echo "PREFIX=$prefix"
echo "Checking Dependencies. No output is good"
echo
echo "Checking Dependencies"
function version_gt() { test "$(printf '%s\n' "$@" | sort -V | head -n 1)" != "$1"; }
command -v python3 >/dev/null 2>&1 || { echo >&2 "Python3 >= $required_version_python is required but it's not installed. Aborting."; exit 1; }
PY3VERSION=$(python3 -c 'import platform; print(platform.python_version())')
echo "Python version is: $PY3VERSION, required >= $required_version_python"
if version_gt $required_version_python $PY3VERSION; then echo "Python3 must be version >= $required_version_python but is $PY3VERSION. Aborting."; exit 1; fi
python3 -c 'import PyQt5' >/dev/null 2>&1 || { echo >&2 "PyQt for Python3 >= $required_version_pyqt is required but it's not installed. Aborting."; exit 1; }
PYQTVERSION=$(python3 -c 'from PyQt5.QtCore import QT_VERSION_STR; print(QT_VERSION_STR)')
echo "Py-Qt version is: $PYQTVERSION, required >= $required_version_pyqt"
if version_gt $required_version_pyqt $PYQTVERSION; then echo "PyQt must be version >= $required_version_pyqt but is $PYQTVERSION. Aborting."; exit 1; fi
python3 -c 'import xdg' >/dev/null 2>&1 || { echo >&2 "PyXDG for Python3 >= $required_version_pyxdg is required but it's not installed. https://freedesktop.org/wiki/Software/pyxdg/ . Aborting."; exit 1; }
PYXDGVERSION=$(python3 -c 'from xdg import __version__; print(__version__)')
echo "PyXDG version is: $PYXDGVERSION, required >= $required_version_pyxdg"
if version_gt $required_version_pyxdg $PYXDGVERSION; then echo "PyXDG must be version >= $required_version_pyxdg but is $PYXDGVERSION. Aborting."; exit 1; fi
echo "generating makefile"
echo
echo "Generating Makefile"
printf "PREFIX=$prefix\nPROGRAM=$program\nVERSION=$version\n" >Makefile
#if $debugsym; then
@ -59,4 +65,5 @@ printf "PREFIX=$prefix\nPROGRAM=$program\nVERSION=$version\n" >Makefile
#fi
cat Makefile.in >>Makefile
echo 'configuration complete, type make to build.'
echo
echo 'Configuration complete. Type make to build.'

Loading…
Cancel
Save